/***************************************************************************//**
* @file     A31L12x_hal_wtidky.h
* @brief    Contains all macro definitions and function prototypes
*           support for wtidky firmware library on A31L12x
*
*
* @version  1.00
* @date     2020-05-29
* @author   ABOV Application Team
*
* Copyright(C) 2019, ABOV Semiconductor
* All rights reserved.
*
********************************************************************************
* ABOV Disclaimer
*
*IMPORTANT NOTICE ? PLEASE READ CAREFULLY
*ABOV Semiconductor ("ABOV") reserves the right to make changes, corrections, enhancements,
*modifications, and improvements to ABOV products and/or to this document at any time without notice.
*ABOV does not give warranties as to the accuracy or completeness of the information included herein.
*Purchasers should obtain the latest relevant information of ABOV products before placing orders.
*Purchasers are entirely responsible for the choice, selection, and use of ABOV products and
*ABOV assumes no liability for application assistance or the design of purchasers' products. No license,
*express or implied, to any intellectual property rights is granted by ABOV herein.
*ABOV disclaims all express and implied warranties and shall not be responsible or
*liable for any injuries or damages related to use of ABOV products in such unauthorized applications.
*ABOV and the ABOV logo are trademarks of ABOV.
*All other product or service names are the property of their respective owners.
*Information in this document supersedes and replaces the information previously
*supplied in any former versions of this document.
*2020 ABOV Semiconductor  All rights reserved
*
*//****************************************************************************/

#ifndef _WTIDKY_H_
#define _WTIDKY_H_

#include "A31L12x.h"
#include "A31L12x_hal_aa_types.h"

#ifdef __cplusplus
extern "C" {
#endif

//******************************************************************************
// Constant
//******************************************************************************

// Write ID Key Definition
#define SCU_SCCRWTIDKY     0x570AuL       // 0     SCUCG_SCCR_WTIDKY_Value
#define SCU_CLKSRCRWTIDKY  0xA507uL       // 1     SCUCG_CLKSRCR_WTIDKY_Value
//#define Reserved          0xffffuL       // 2    Reserved
#define HIRCWTIDKY         0xA6B5uL       // 3     SCUCC_HIRCTRM_WTIDKY_Value
#define WDTRCWTIDKY        0x4C3DuL       // 4     SCUCC_WDTRCTRM_WTIDKY_Value
#define REMWTIDKY          0xE2F1uL       // 5     SCUCC_PMREMAP_WTIDKY_Value
#define WDTWTIDKY          0x5A69uL       // 6     WDT_CR_WTIDKY_Value
#define T30OUTWTIDKY       0xE06CuL       // 7
#define FMC_BCRWTIDKY      0xC1BEuL       // 8     FMC_BCR_WTIDKY_Value
#define FMC_CRWTIDKY       0x6C93uL       // 9     FMC_CR_WTIDKY_Value
#define SWRSTWTIDKY        0x9EB3uL       // 10    SCUCC_SWRSTR_WTIDKY_Value
#define VECTWTIDKY         0x05FAuL       // 11

#ifdef __cplusplus
}
#endif

#endif   /* _WTIDKY_H_ */

